Bug 1875667 - Audit page list incorrect search filter
Summary: Audit page list incorrect search filter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Audit Log
Version: 6.8.0
Hardware: All
OS: All
unspecified
low
Target Milestone: 6.8.0
Assignee: satellite6-bugs
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-04 02:52 UTC by Ranjan Kumar
Modified: 2020-10-27 13:09 UTC (History)
7 users (show)

Fixed In Version: foreman-2.1.2.14-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 13:08:57 UTC
Target Upstream Version:


Attachments (Terms of Use)
Filter (182.54 KB, image/png)
2020-09-04 02:52 UTC, Ranjan Kumar
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 30605 Normal Closed replace mount_react_component with react_component in app/helpers/search_bar_helper.rb 2020-10-28 17:48:36 UTC
Red Hat Product Errata RHSA-2020:4366 None None None 2020-10-27 13:09:18 UTC

Description Ranjan Kumar 2020-09-04 02:52:14 UTC
Created attachment 1713703 [details]
Filter

Description of problem:Audit page list incorrect search filter. See screen

Version-Release number of selected component (if applicable): Satellite 6.8


How reproducible: Always


Steps to Reproduce:
1. Go To Configure -> Classes 
2. Click in search box
3. Go to Monitor -> Audits
4. Click on search box

Actual results:
List wrong search filter

Expected results: should list correct filters


Additional info:

Comment 1 Roman Plevka 2020-09-09 09:23:44 UTC
I can confirm that the search doesn't recognize basic audit fields and the search suggestion lists foreman models (job invocation, user, ...)
This is a regression from the previous 6.8.0 snaps.

Comment 2 Tomer Brisker 2020-09-10 13:27:15 UTC
Connecting redmine issue https://projects.theforeman.org/issues/30605 from this bug

Comment 3 Tomer Brisker 2020-09-10 13:29:12 UTC
Looks like the issue here occurs only when navigating from a non-react page to a react page, the URL for the autocomplete does not get updated properly so that the search bar provides autocomplete for the previous page. Not sure at what point exactly this regressed, but the linked issue fixed it upstream.

Comment 8 Roman Plevka 2020-09-30 10:25:42 UTC
VERIFIED
on sat6.8.0-17

Audit page search bar now correctly recognizes the audit-related fields and is able to filter records based on them

Comment 11 errata-xmlrpc 2020-10-27 13:08:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.